%if 0%{?el7}
%define dist .el7
%endif

Summary: Library and frontend for decoding MPEG2/4 AAC
Name: faad2
Version: 2.7
Release: 4%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/

Packager: momo-i <webmaster@momo-i.org>
Vendor: momo-i, http://www.momo-i.org/

Source: http://dl.sf.net/faac/faad2-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++, zlib-devel
%{!?_without_sysfs:BuildRequires: libsysfs-devel}

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}

### Required to make automake < 1.7 work
%{__perl} -pi -e 's|dnl AC_PROG_CXX|AC_PROG_CXX|' configure.in

%build
# This is what the README.linux file recommends
autoreconf -vif
%configure \
	--with-mpeg4ip \
	--enable-shared \
	--disable-static \
    --with-drm
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README* TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/faad
%{_libdir}/libfaad.so.*
%{_mandir}/manm/faad.man*

%files devel
%defattr(-, root, root, 0755)
%attr(644,root,root) %{_includedir}/faad.h
%attr(644,root,root) %{_includedir}/neaacdec.h
%attr(644,root,root) %{_includedir}/mp4ff.h
%attr(644,root,root) %{_includedir}/mp4ffint.h
%{_libdir}/libfaad.so
%exclude %{_libdir}/libfaad.la
%exclude %{_libdir}/libmp4ff.a

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.7-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.7-3
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.7-2
- Rebuilt for fc22

* Tue Mar  5 2013 momo-i <webmaster@momo-i.org> 2.7-1
- Initial rpm release.
